# Merchant Participation API - Positive Scenarios
source: https://developer.mastercard.com/unified-installments/documentation/testing/merchant-participation-api/merchant-participation-api-positivesc/index.md

## Prerequisites {#prerequisites}

Refer to the [Merchant Participation](https://developer.mastercard.com/unified-installments/documentation/use-cases/mastercard-installments-program-with-merchant-participation/merchant-participation/index.md) use case:

#### Test Case 1: Acquirers (submitters) can verify the status of their MID merchant participation requests for Mastercard Installments by querying the 'GET /merchants/participations' API endpoint. They need to provide the corresponding request_id received during the initial submission {#test-case-1-acquirers-submitters-can-verify-the-status-of-their-mid-merchant-participation-requests-for-mastercard-installments-by-querying-the-get-merchantsparticipations-api-endpoint-they-need-to-provide-the-corresponding-request_id-received-during-the-initial-submission}

Note: **Insights**

* Processing time may vary based on the volume of concurrent requests Mastercard is handling.
* `nonMerchantNegotiationParticipation` flag is only available for pre-existing acquirers. New acquirers, who want to onboard, should use `optIn` flag.

**GET** : [/merchants/participations](https://developer.mastercard.com/unified-installments/documentation/api-reference/mastercard-installments-services/inbound-api/index.md#api)

**Response Code**: 200

**Request Parameters** :  

`request_id` = 7223372036854776000 (available in the response header after successfully submitting merchant participation request through `POST /merchants/participations`)  

limit(optional) = 500  

offset(optional) = 0  

##### Response {#response}

* JSON

```JSON
[
  {
    "merchantLegalName": "Example Mart",
    "countryCode": "USA",
    "acquirerICA": "019246",
    "submitterICA": "019246",
    "dbaNames": [
      "ACME"
    ],
    "optIn": "Y",
    "status": "COMPLETED",
    "duns": "879847426",
    "websiteUrl": "https://www.example.com",
    "address": {
      "addressLine1": "600 WEST",
      "addressLine2": "SECTOR 5",
      "addressLine3": "SUITE 775",
      "city": "St Peters",
      "state": "MO",
      "postalCode": "85001"
    }
  },
  {
    "merchantLegalName": "Example Merchant",
    "countryCode": "USA",
    "acquirerICA": "019246",
    "submitterICA": "019246",
    "dbaNames": [
      "ACME"
    ],
    "optIn": "Y",
    "status": "COMPLETED",
    "duns": "761234566",
    "websiteUrl": "https://www.example.com",
    "address": {
      "addressLine1": "380 EAST",
      "addressLine2": "SECTOR 1",
      "city": "New York",
      "state": "NYC",
      "postalCode": "123456"
    }
  }
]
```

#### Test Case 2: Retrieve a comprehensive list of merchants, identified by MID or MAID, filtered by country. {#test-case-2-retrieve-a-comprehensive-list-of-merchants-identified-by-mid-or-maid-filtered-by-country}

IPPs will have access to all merchants within a specified country, while acquirers can only retrieve details for merchants they have submitted.  

Alongside, the acquirer / IPP will receive total, count, limit, and offset details in the response headers.

* **MAID-based Merchants** : For MAID-based merchants, such as Coastal Heritage Bank, MAIDs will be displayed in the response, `acquirerICA` will be empty for IPP, and `submitterICA` details will have all the ICAs associated to the submitted MAID.
* **MID-based Merchants** : For MID-based merchants, such as Mart, submitted through the POST API, both `acquirerICA` and `submitterICA` details will be present in the response.

<br />

\*\*GET\*\*: \[/merchants/participations\](/documentation/api-reference/mastercard-installments-services/inbound-api/#api)

**Response Code**: 200

**Request Parameters** :  

limit(optional) = 500  

offset(optional) = 0  

##### Response {#response-1}

* JSON

```JSON
[
  {
    "merchantLegalName": "Coastal Heritage Bank",
    "countryCode": "USA",
    "acquirerICA": "0",
    "dbaNames": [
      "Coastal Heritage Bank"
    ],
    "maids": [
      "128113",
      "113721"
    ],
    "optIn": "N",
    "status": "COMPLETED",
    "duns": "423567890",
    "websiteUrl": "www.CoastalHeritageBank.com",
    "address": {
      "addressLine1": "744 Broad Street",
      "city": "East Weymouth",
      "state": "MA",
      "postalCode": "02189"
    }
  },
  {
    "merchantLegalName": "Example Mart",
    "countryCode": "USA",
    "acquirerICA": "019246",
    "submitterICA": "019246",
    "dbaNames": [
      "ACME"
    ],
    "optIn": "Y",
    "status": "COMPLETED",
    "duns": "879847426",
    "websiteUrl": "https://www.example.com",
    "address": {
      "addressLine1": "600 WEST",
      "addressLine2": "SECTOR 5",
      "addressLine3": "SUITE 775",
      "city": "St Peters",
      "state": "ABC",
      "postalCode": "US 1234"
    }
  }
]
```

#### Test Case 3: Acquirers (or) Acquirer - service providers can now submit MAID merchant participation details to Mastercard using the POST merchant participation endpoint {#test-case-3-acquirers-or-acquirer---service-providers-can-now-submit-maid-merchant-participation-details-to-mastercard-using-the-post-merchant-participation-endpoint}

Upon successful submission, they will receive a confirmation with a unique `request_id` in the location response header. This `request_id` can be used to track the progress of the request and check its effectuation status in the Mastercard systems through the `GET merchant participation` endpoint.

##### Create participation MAID merchant only {#create-participation-maid-merchant-only}

##### Request Body {#request-body}

* JSON

```JSON
[
  {
    "merchantLegalName": "USA Merchant C",
    "countryCode": "USA",
    "acquirerICA": "019246",
    "dbaNames": [
      "ACME"
    ],
    "maid": "123480",
    "maidType": "EXT",
    "optIn": "N",
    "duns": "879847426",
    "websiteUrl": "https://www.example.com",
    "wallets": [
      {
        "walletId": 1,
        "walletAcceptance": "Y",
        "walletMerchantId": "2353463562345 | 125346356236 | 125446356237"
      }
    ],
    "address": {
      "addressLine1": "Main Street",
      "addressLine2": "near Costco",
      "addressLine3": "near mastercard",
      "city": "O Fallon",
      "state": "MO",
      "postalCode": "63368"
    }
  }
]
```

##### GET response MP for above request {#get-response-mp-for-above-request}

##### Response {#response-2}

* JSON

```JSON
[
  {
    "merchantLegalName": "USA Merchant C",
    "countryCode": "USA",
    "acquirerICA": "019246",
    "submitterICA": "019246",
    "dbaNames": [
      "ACME"
    ],
    "maids": [
      "123480"
    ],
    "maidType": "EXT",
    "optIn": "N",
    "status": "PENDING",
    "duns": "879847426",
    "websiteUrl": "https://www.test.com",
    "address": {
      "addressLine1": "Main Street",
      "addressLine2": "near Costco",
      "addressLine3": "near mastercard",
      "city": "O Fallon",
      "state": "MO",
      "postalCode": "63368"
    }
  }
]
```

#### Test Case 4: Acquirers (or) Acquirer - service providers can now submit MID/MAID merchant participation details for different merchants to Mastercard using the POST merchant participation endpoint {#test-case-4-acquirers-or-acquirer---service-providers-can-now-submit-midmaid-merchant-participation-details-for-different-merchants-to-mastercard-using-the-post-merchant-participation-endpoint}

Acquirers/ Acquirer service providers (ACQ/ ACQ-SP) can post merchant participations with MID and MAID for two different merchants in POST merchant participations call.  

Upon successful submission, they will receive a confirmation with a unique `request_id` in the location response header. This `request_id` can be used to track the progress of the request and check its effectuation status in the Mastercard systems through the `GET merchant participation` endpoint.

##### Create participation with different merchants - MID and MAID {#create-participation-with-different-merchants---mid-and-maid}

##### Request Body {#request-body-1}

* JSON

```JSON
[
  {
    "merchantLegalName": "USA Merchant C",
    "countryCode": "USA",
    "acquirerICA": "019246",
    "dbaNames": [
      "ACME"
    ],
    "maid": "123479",
    "maidType": "EXT",
    "optIn": "N",
    "duns": "879847426",
    "websiteUrl": "https://www.example.com",
    "wallets": [
      {
        "walletId": 1,
        "walletAcceptance": "Y",
        "walletMerchantId": "2353463562345 | 125346356236 | 125446356237"
      }
    ],
    "address": {
      "addressLine1": "Main Street",
      "addressLine2": "near Costco",
      "addressLine3": "near mastercard",
      "city": "O Fallon",
      "state": "MO",
      "postalCode": "63368"
    }
  },
  {
    "merchantLegalName": "Example Mart",
    "countryCode": "USA",
    "acquirerICA": "019246",
    "dbaNames": [
      "ACME"
    ],
    "mids": [
      "987123456789124",
      "123123456789124",
      "567123456789124"
    ],
    "optIn": "N",
    "nonMerchantNegotiatedCardProductsOptIn": "Y",
    "duns": "879847426",
    "websiteUrl": "https://www.example.com",
    "wallets": [
      {
        "walletId": 1,
        "walletAcceptance": "Y",
        "walletMerchantId": "235346356234 | 125346356236 | 125446356237"
      }
    ],
    "address": {
      "addressLine1": "600 WEST",
      "addressLine2": "SECTOR 5",
      "addressLine3": "SUITE 775",
      "city": "St Peters",
      "state": "QLD",
      "postalCode": "85001"
    }
  }
]
```

##### GET MP response {#get-mp-response}

* JSON

```JSON
[
  {
    "merchantLegalName": "Example Mart",
    "countryCode": "USA",
    "acquirerICA": "019246",
    "submitterICA": "019246",
    "dbaNames": [
      "ACME"
    ],
    "optIn": "N",
    "status": "COMPLETED",
    "duns": "879847426",
    "websiteUrl": "https://www.example.com",
    "address": {
      "addressLine1": "600 WEST",
      "addressLine2": "SECTOR 5",
      "addressLine3": "SUITE 775",
      "city": "St Peters",
      "state": "QLD",
      "postalCode": "85001"
    }
  },
  {
    "merchantLegalName": "USA Merchant C",
    "countryCode": "USA",
    "acquirerICA": "019246",
    "submitterICA": "019246",
    "dbaNames": [
      "ACME"
    ],
    "maids": [
      "123479"
    ],
    "maidType": "EXT",
    "optIn": "N",
    "status": "PENDING",
    "duns": "879847426",
    "websiteUrl": "https://www.example.com",
    "address": {
      "addressLine1": "Main Street",
      "addressLine2": "near Costco",
      "addressLine3": "near mastercard",
      "city": "O Fallon",
      "state": "MO",
      "postalCode": "63368"
    }
  }
]
```

#### Test Case 5: Acquirers (or) Acquirer - service providers can now update dba names and website URL to Mastercard using the POST merchant participation endpoint {#test-case-5-acquirers-or-acquirer---service-providers-can-now-update-dba-names-and-website-url-to-mastercard-using-the-post-merchant-participation-endpoint}

Acquirers/ Acquirer service providers (ACQ/ ACQ-SP) can update the DBA names and website URL in POST merchant participations. The above POST call is updated as follows:

##### Create participation by updating dbaNames and URL {#create-participation-by-updating-dbanames-and-url}

##### Request Body {#request-body-2}

* JSON

```JSON
[
  {
    "merchantLegalName": "USA Merchant A",
    "countryCode": "USA",
    "acquirerICA": "019246",
    "dbaNames": [
      "ACME1"
    ],
    "maid": "123470",
    "maidType": "EXT",
    "optIn": "N",
    "duns": "879847426",
    "websiteUrl": "https://www.test.com",
    "wallets": [
      {
        "walletId": 1,
        "walletAcceptance": "Y",
        "walletMerchantId": "2353463562345 | 125346356236 | 125446356237"
      }
    ],
    "address": {
      "addressLine1": "Main Street",
      "addressLine2": "near Costco",
      "addressLine3": "near mastercard",
      "city": "O Fallon",
      "state": "MO",
      "postalCode": "63368"
    }
  },
  {
    "merchantLegalName": "Example Mart",
    "countryCode": "USA",
    "acquirerICA": "019246",
    "dbaNames": [
      "ACME2"
    ],
    "mids": [
      "987123456789124",
      "123123456789124",
      "567123456789124"
    ],
    "optIn": "N",
    "nonMerchantNegotiatedCardProductsOptIn": "Y",
    "duns": "879847426",
    "websiteUrl": "https://www.test123.com",
    "wallets": [
      {
        "walletId": 1,
        "walletAcceptance": "Y",
        "walletMerchantId": "235346356234 | 125346356236 | 125446356237"
      }
    ],
    "address": {
      "addressLine1": "600 WEST",
      "addressLine2": "SECTOR 5",
      "addressLine3": "SUITE 775",
      "city": "St Peters",
      "state": "QLD",
      "postalCode": "85001"
    }
  }
]
```

##### GET MP response {#get-mp-response-1}

* JSON

```JSON
[
  {
    "merchantLegalName": "Example Mart",
    "countryCode": "USA",
    "acquirerICA": "019246",
    "submitterICA": "019246",
    "dbaNames": [
      "ACME2"
    ],
    "optIn": "N",
    "status": "COMPLETED",
    "duns": "879847426",
    "websiteUrl": "https://www.test123.com",
    "address": {
      "addressLine1": "600 WEST",
      "addressLine2": "SECTOR 5",
      "addressLine3": "SUITE 775",
      "city": "St Peters",
      "state": "QLD",
      "postalCode": "85001"
    }
  },
  {
    "merchantLegalName": "USA Merchant A",
    "countryCode": "USA",
    "acquirerICA": "019246",
    "submitterICA": "019246",
    "dbaNames": [
      "ACME1"
    ],
    "maids": [
      "123470"
    ],
    "maidType": "EXT",
    "optIn": "N",
    "status": "PENDING",
    "duns": "879847426",
    "websiteUrl": "https://www.test.com",
    "address": {
      "addressLine1": "Main Street",
      "addressLine2": "near Costco",
      "addressLine3": "near mastercard",
      "city": "O Fallon",
      "state": "MO",
      "postalCode": "63368"
    }
  }
]
```

#### Test Case 6: Acquirers (or) Acquirer - service providers can now post both the MID and MAID merchant participations from a single request but as different merchant objects for MID/MAID market using the POST merchant participation endpoint {#test-case-6-acquirers-or-acquirer---service-providers-can-now-post-both-the-mid-and-maid-merchant-participations-from-a-single-request-but-as-different-merchant-objects-for-midmaid-market-using-the-post-merchant-participation-endpoint}

##### Create participation by merchant legal name {#create-participation-by-merchant-legal-name}

* JSON

```JSON
[
  {
    "merchantLegalName": "USA Merchant C",
    "countryCode": "USA",
    "acquirerICA": "019246",
    "dbaNames": [
      "ACME"
    ],
    "maid": "123480",
    "maidType": "EXT",
    "optIn": "N",
    "duns": "879847426",
    "websiteUrl": "https://www.example.com",
    "wallets": [
      {
        "walletId": 1,
        "walletAcceptance": "Y",
        "walletMerchantId": "2353463562345 | 125346356236 | 125446356237"
      }
    ],
    "address": {
      "addressLine1": "Main Street",
      "addressLine2": "near Costco",
      "addressLine3": "near mastercard",
      "city": "O Fallon",
      "state": "MO",
      "postalCode": "63368"
    }
  },
  {
    "merchantLegalName": "USA Merchant C",
    "countryCode": "USA",
    "acquirerICA": "019246",
    "dbaNames": [
      "ACME"
    ],
    "mids": [
      "987123456789124",
      "123123456789124",
      "567123456789124"
    ],
    "optIn": "N",
    "nonMerchantNegotiatedCardProductsOptIn": "Y",
    "duns": "879847426",
    "websiteUrl": "https://www.example.com",
    "wallets": [
      {
        "walletId": 1,
        "walletAcceptance": "Y",
        "walletMerchantId": "235346356234 | 125346356236 | 125446356237"
      }
    ],
    "address": {
      "addressLine1": "600 WEST",
      "addressLine2": "SECTOR 5",
      "addressLine3": "SUITE 775",
      "city": "St Peters",
      "state": "QLD",
      "postalCode": "85001"
    }
  }
]
```

##### GET MP response {#get-mp-response-2}

* JSON

```JSON
[
  {
    "merchantLegalName": "USA Merchant C",
    "countryCode": "USA",
    "acquirerICA": "019246",
    "submitterICA": "019246",
    "dbaNames": [
      "ACME"
    ],
    "maids": [
      "123480"
    ],
    "maidType": "EXT",
    "optIn": "N",
    "status": "PENDING",
    "duns": "879847426",
    "websiteUrl": "https://www.example.com",
    "address": {
      "addressLine1": "Main Street",
      "addressLine2": "near Costco",
      "addressLine3": "near mastercard",
      "city": "O Fallon",
      "state": "MO",
      "postalCode": "63368"
    }
  },
  {
    "merchantLegalName": "USA Merchant C",
    "countryCode": "USA",
    "acquirerICA": "019246",
    "submitterICA": "019246",
    "dbaNames": [
      "ACME"
    ],
    "optIn": "N",
    "status": "PENDING",
    "duns": "879847426",
    "websiteUrl": "https://www.example.com",
    "address": {
      "addressLine1": "600 WEST",
      "addressLine2": "SECTOR 5",
      "addressLine3": "SUITE 775",
      "city": "St Peters",
      "state": "QLD",
      "postalCode": "85001"
    }
  }
]
```

#### Test Case 7: Acquirers (or) Acquirer - service providers can update the MAID/MAID Type while updating to/from generic maid/EXT for POST merchant participation endpoint {#test-case-7-acquirers-or-acquirer---service-providers-can-update-the-maidmaid-type-while-updating-tofrom-generic-maidext-for-post-merchant-participation-endpoint}

POST with EXT maid Type

##### Create participation by merchant legal name {#create-participation-by-merchant-legal-name-1}

* JSON

```JSON
[
  {
    "merchantLegalName": "USA Merchant 10-22",
    "countryCode": "USA",
    "acquirerICA": "019246",
    "dbaNames": [
      "ACME"
    ],
    "maid": "123492",
    "maidType": "EXT",
    "optIn": "Y",
    "duns": "879847426",
    "websiteUrl": "https://www.example.com",
    "wallets": [
      {
        "walletId": 1,
        "walletAcceptance": "Y",
        "walletMerchantId": "2353463562345 | 125346356236 | 125446356237"
      }
    ],
    "address": {
      "addressLine1": "Main Street",
      "addressLine2": "near Costco",
      "addressLine3": "near mastercard",
      "city": "O Fallon",
      "state": "MO",
      "postalCode": "63368"
    }
  }
]
```

Then post another request with generic maid type with maid : 424153

##### Create participation by merchant legal name {#create-participation-by-merchant-legal-name-2}

* JSON

```JSON
[
  {
    "merchantLegalName": "USA Merchant 10-22",
    "countryCode": "USA",
    "acquirerICA": "019246",
    "dbaNames": [
      "ACME"
    ],
    "maid": "424153",
    "maidType": "EXT",
    "optIn": "Y",
    "duns": "879847426",
    "websiteUrl": "https://www.example.com",
    "wallets": [
      {
        "walletId": 1,
        "walletAcceptance": "Y",
        "walletMerchantId": "2353463562345 | 125346356236 | 125446356237"
      }
    ],
    "address": {
      "addressLine1": "Main Street",
      "addressLine2": "near Costco",
      "addressLine3": "near mastercard",
      "city": "O Fallon",
      "state": "MO",
      "postalCode": "63368"
    }
  }
]
```

Get MP response will have both maids in response.

##### GET MP response {#get-mp-response-3}

* JSON

```JSON
[
  {
    "merchantLegalName": "USA Merchant 10-22",
    "countryCode": "USA",
    "acquirerICA": "019246",
    "submitterICA": "019246",
    "dbaNames": [
      "ACME"
    ],
    "maids": [
      "123492",
      "424153"
    ],
    "maidType": "EXT",
    "optIn": "Y",
    "status": "COMPLETED",
    "duns": "879847426",
    "websiteUrl": "https://www.example.com",
    "address": {
      "addressLine1": "Main Street",
      "addressLine2": "near Costco",
      "addressLine3": "near mastercard",
      "city": "O Fallon",
      "state": "MO",
      "postalCode": "63368"
    }
  }
]
```

#### Test Case 8: A submitting IPP can now search for all available merchants or search by merchant legal name/maid in a particular region with defined limit and offset for the requested filter payload through the '/merchants/searches' API after a few hours {#test-case-8-a-submitting-ipp-can-now-search-for-all-available-merchants-or-search-by-merchant-legal-namemaid-in-a-particular-region-with-defined-limit-and-offset-for-the-requested-filter-payload-through-the-merchantssearches-api-after-a-few-hours}

An IPP will be able to see all the merchants for the region in completed status. Submitting IPP can search by merchant legal name and maid as follows.

##### Request Body {#request-body-3}

POST merchant searches request
* JSON

```JSON
{
  "merchantLegalName": "USA Merchant B",
  "maid": "123471"
}
```

##### Response {#response-3}

POST merchant searches response
* JSON

```JSON
[
  {
    "merchantLegalName": "USA Merchant B",
    "countryCode": "USA",
    "submitterICA": "019246",
    "dbaNames": [
      "ACME"
    ],
    "maids": [
      "123471"
    ],
    "maidType": "EXT",
    "optIn": "N",
    "status": "COMPLETED",
    "duns": "879847426",
    "websiteUrl": "https://www.test.com",
    "address": {
      "addressLine1": "Main Street",
      "addressLine2": "near Costco",
      "addressLine3": "near mastercard",
      "city": "O Fallon",
      "state": "MO",
      "postalCode": "63368"
    }
  }
]
```

An IPP will be able to see all the merchants for the region in COMPLETED status with no request body and response as follows:  

POST merchant searches response
* JSON

```JSON
[
  {
    "merchantLegalName": "USA Merchant B",
    "countryCode": "USA",
    "submitterICA": "019246",
    "dbaNames": [
      "ACME"
    ],
    "maids": [
      "123471"
    ],
    "maidType": "EXT",
    "optIn": "N",
    "status": "COMPLETED",
    "duns": "879847426",
    "websiteUrl": "https://www.test.com",
    "address": {
      "addressLine1": "Main Street",
      "addressLine2": "near Costco",
      "addressLine3": "near mastercard",
      "city": "O Fallon",
      "state": "MO",
      "postalCode": "63368"
    }
  }
]
```

#### Test Case 9: A submitting acquirer can search by merchant legal name, country code, acquirer Ica, maid and status for the MAID merchants with defined limit and offset for the requested filter payload through the '/merchants/searches' API after a few hours {#test-case-9-a-submitting-acquirer-can-search-by-merchant-legal-name-country-code-acquirer-ica-maid-and-status-for-the-maid-merchants-with-defined-limit-and-offset-for-the-requested-filter-payload-through-the-merchantssearches-api-after-a-few-hours}

Then response code is 200. Request is

###### Request Body {#request-body-4}

POST merchant searches request
* JSON

```JSON
{
  "merchantLegalName": "USA Merchant A",
  "maid": "123470",
  "countryCode": "USA",
  "acquirerICA": "019246",
  "merchantParticipationStatus": "COMPLETED"
}
```

##### Response {#response-4}

POST merchant searches response
* JSON

```JSON
[
  {
    "merchantLegalName": "USA Merchant A",
    "countryCode": "USA",
    "acquirerICA": "019246",
    "submitterICA": "019246",
    "dbaNames": [
      "ACME1"
    ],
    "maids": [
      "123470"
    ],
    "maidType": "EXT",
    "optIn": "N",
    "status": "COMPLETED",
    "duns": "879847426",
    "websiteUrl": "https://www.test.com",
    "address": {
      "addressLine1": "Main Street",
      "addressLine2": "near Costco",
      "addressLine3": "near mastercard",
      "city": "O Fallon",
      "state": "MO",
      "postalCode": "63368"
    }
  }
]
```

#### Test Case 10: Under the same acquirer, multiple submitters made changes on participation. A submitting acquirer can search for merchants under the acquirer and gets the latest participation record where submitter ICA's are pipe(\|) separated for the merchants with defined limit and offset for the requested filter payload through the '/merchants/searches' API after a few hours {#test-case-10-under-the-same-acquirer-multiple-submitters-made-changes-on-participation-a-submitting-acquirer-can-search-for-merchants-under-the-acquirer-and-gets-the-latest-participation-record-where-submitter-icas-are-pipe-separated-for-the-merchants-with-defined-limit-and-offset-for-the-requested-filter-payload-through-the-merchantssearches-api-after-a-few-hours}

When first submitter opted out for the merchant and the second submitter opted in, then response contains latest opted value and both the submitter ICA are provided in response with pipe (\|) separated.

##### Response {#response-5}

POST merchant searches response with multiple submitters
* JSON

```JSON
[
  {
    "merchantLegalName": "Walmart",
    "countryCode": "USA",
    "acquirerICA": "019246",
    "submitterICA": "019246",
    "dbaNames": [
      "ACME"
    ],
    "maids": [
      "DwzlK1"
    ],
    "maidType": "GRP",
    "optIn": "Y",
    "status": "PENDING",
    "duns": "879847426",
    "websiteUrl": "https://www.example.com",
    "address": {
      "addressLine1": "600 WEST",
      "addressLine2": "SECTOR 5",
      "addressLine3": "SUITE 775",
      "city": "St Peters",
      "state": "QLD",
      "postalCode": "85001"
    }
  }
]
```

#### Test Case 11: A submitting IPP in MID market provides acquirer ICA and submitter ICA in response for all available merchants with defined limit and offset for the requested filter payload through the '/merchants/searches' API after a few hours {#test-case-11-a-submitting-ipp-in-mid-market-provides-acquirer-ica-and-submitter-ica-in-response-for-all-available-merchants-with-defined-limit-and-offset-for-the-requested-filter-payload-through-the-merchantssearches-api-after-a-few-hours}

Response when submitter is IPP in MID market, submitter ICA and acquirer ICA are provided in response.

##### Response {#response-6}

POST merchant searches response
* JSON

```JSON
[
  {
    "merchantLegalName": "Merchant B Aus program Test",
    "countryCode": "AUS",
    "acquirerICA": "82809000001",
    "submitterICA": "82809000001",
    "optIn": "Y",
    "status": "COMPLETED",
    "duns": "879847426",
    "websiteUrl": "https://www.xyz.com",
    "address": {
      "addressLine1": "555 EAST",
      "addressLine2": "TEST STREET",
      "addressLine3": "PARK 775",
      "city": "Sydney",
      "state": "NSW",
      "postalCode": "2019"
    },
    "merchantGroup": "IB"
  }
]
```

#### Test Case 12: A submitting IPP in MAID market provides submitter ICA but not acquirer ICA in response for all available merchants with defined limit and offset for the requested filter payload through the '/merchants/searches' API after a few hours {#test-case-12-a-submitting-ipp-in-maid-market-provides-submitter-ica-but-not-acquirer-ica-in-response-for-all-available-merchants-with-defined-limit-and-offset-for-the-requested-filter-payload-through-the-merchantssearches-api-after-a-few-hours}

Response when submitter is IPP in MAID market, submitter ICA is provided in response but not acquirer ICA.

##### Response {#response-7}

POST merchant searches response
* JSON

```JSON
[
  {
    "merchantLegalName": "USA Merchant C",
    "countryCode": "USA",
    "submitterICA": "019246",
    "dbaNames": [
      "ACME"
    ],
    "maids": [
      "123479"
    ],
    "maidType": "EXT",
    "optIn": "N",
    "status": "COMPLETED",
    "duns": "879847426",
    "websiteUrl": "https://www.example.com",
    "address": {
      "addressLine1": "Main Street",
      "addressLine2": "near Costco",
      "addressLine3": "near mastercard",
      "city": "O Fallon",
      "state": "MO",
      "postalCode": "63368"
    }
  }
]
```

#### Test Case 13: A submitting acquirer in MID market provides acquirer ICA and submitter ICA in response for all available merchants with defined limit and offset for the requested filter payload through the '/merchants/searches' API after a few hours {#test-case-13-a-submitting-acquirer-in-mid-market-provides-acquirer-ica-and-submitter-ica-in-response-for-all-available-merchants-with-defined-limit-and-offset-for-the-requested-filter-payload-through-the-merchantssearches-api-after-a-few-hours}

When submitter acquirer searches for MID only market region, the `POST merchant/searches` contains both the submitter ICA and acquirer ICA in response.

##### Response {#response-8}

POST merchant searches response
* JSON

```JSON
[
  {
    "merchantLegalName": "Example Mart3",
    "countryCode": "AUS",
    "acquirerICA": "00689425761",
    "submitterICA": "82809000001",
    "optIn": "Y",
    "status": "COMPLETED",
    "duns": "879847426",
    "websiteUrl": "https://www.example.com",
    "address": {
      "addressLine1": "601 WEST",
      "addressLine2": "SECTOR 6",
      "addressLine3": "SUITE 776",
      "city": "St Peters 1",
      "state": "QLD",
      "postalCode": "85002"
    },
    "merchantGroup": "IA"
  }
]
```

#### Test Case 14: A submitting acquirer in MAID market provides acquirer ICA and submitter ICA in response for all available merchants with defined limit and offset for the requested filter payload through the '/merchants/searches' API after a few hours {#test-case-14-a-submitting-acquirer-in-maid-market-provides-acquirer-ica-and-submitter-ica-in-response-for-all-available-merchants-with-defined-limit-and-offset-for-the-requested-filter-payload-through-the-merchantssearches-api-after-a-few-hours}

Response when submitter is acquirer in MAID market, submitter ICA and acquirer ICA are provided in response.

##### Response {#response-9}

POST merchant searches response
* JSON

```JSON
[
  {
    "merchantLegalName": "USA Merchant C",
    "countryCode": "USA",
    "submitterICA": "019246",
    "dbaNames": [
      "ACME"
    ],
    "maids": [
      "123479"
    ],
    "maidType": "EXT",
    "optIn": "N",
    "status": "COMPLETED",
    "duns": "879847426",
    "websiteUrl": "https://www.example.com",
    "address": {
      "addressLine1": "Main Street",
      "addressLine2": "near Costco",
      "addressLine3": "near mastercard",
      "city": "O Fallon",
      "state": "MO",
      "postalCode": "63368"
    }
  }
]
```

#### Test Case 15: Acquirers (submitters) can verify the status of their MAID merchant participation requests by request Id for Mastercard Installments by querying the 'GET /merchants/participations' API endpoint. They need to provide the corresponding request_id received during the initial submission {#test-case-15-acquirers-submitters-can-verify-the-status-of-their-maid-merchant-participation-requests-by-request-id-for-mastercard-installments-by-querying-the-get-merchantsparticipations-api-endpoint-they-need-to-provide-the-corresponding-request_id-received-during-the-initial-submission}

When request id is provided as a query parameter - `/merchants/participations?request_id=369896679412862976`, the status of that request can be verified.

##### Response {#response-10}

POST merchant searches response with invalid status
* JSON

```JSON
[
  {
    "merchantLegalName": "Example Mart",
    "countryCode": "USA",
    "acquirerICA": "019246",
    "submitterICA": "019246",
    "dbaNames": [
      "ACME"
    ],
    "optIn": "N",
    "status": "COMPLETED",
    "duns": "879847426",
    "websiteUrl": "https://www.example.com",
    "address": {
      "addressLine1": "600 WEST",
      "addressLine2": "SECTOR 5",
      "addressLine3": "SUITE 775",
      "city": "St Peters",
      "state": "QLD",
      "postalCode": "85001"
    }
  }
]
```

#### Test Case 16: Submission of Merchant MID participation details by Acquirer via the POST Api for countries who will have differential economics agreed based on Merchant Group, to submit a list of merchants with MID details if they have access to the Mastercard Installment API and has integrated their solution/application with the 'POST /merchants/participations' endpoint. {#test-case-16--submission-of-merchant-mid-participation-details-by-acquirer-via-the-post-api-for-countries-who-will-have-differential-economics-agreed-based-on-merchant-group-to-submit-a-list-of-merchants-with-mid-details-if-they-have-access-to-the-mastercard-installment-api-and-has-integrated-their-solutionapplication-with-the-post-merchantsparticipations-endpoint}

Whenever they submit a request with `merchantGroup` details, they should get request accepted status with the request_id generated in the Location response header.
Note: **Note:** The merchantGroup here should be string and valid values from "IA","IB" and "IC". Acquirers should compulsory submit merchant participation details via optIn key and value as "Y" or "N".

**POST** : [/merchants/participations](https://developer.mastercard.com/unified-installments/documentation/api-reference/mastercard-installments-services/inbound-api/index.md#api)

**Response Code**: 202

##### Request Body {#request-body-5}

* JSON

```JSON
[
  {
     "merchantLegalName": "EXAMPLE MART",
     "countryCode": "AUS",
     "acquirerICA": "14689425761", 
     "merchantGroup": "IA",
     "dbaNames": [
            "ACME"
        ],
      "mids": [
            "987123456789124",
            "123123456789124",
            "567123456789124"
        ],
       "optIn": "Y",
       "duns": "879847426",
       "websiteUrl": "https://www.example.com",    
       "wallets": [
            {
                "walletId": 1,
                "walletAcceptance": "Y",
                "walletMerchantId": "235346356234 | 125346356236 | 125446356237"
            },
            {
                "walletId": 2,
                "walletAcceptance": "Y",
                "walletMerchantId": "235346356234 | 125346356236 | 125446356237"
            },
            {
                "walletId": 3,
                "walletAcceptance": "Y",
                "walletMerchantId": "235346356234 | 125346356236 | 125446356237"
            }
       ],
      "address": {
      "addressLine1": "600 WEST",
      "addressLine2": "SECTOR 5",
      "addressLine3": "SUITE 775",
      "city": "Sydney",
      "state": "SYD",
      "postalCode": "85001"
     }
   },
    {
     "merchantLegalName": "Example Merchant",
     "countryCode": "AUS",
     "acquirerICA": "1234425709",
     "merchantGroup": "IB",
     "dbaNames": [
            "ABCD"
        ],
     "mids": [
            "321456456789111"
        ],   
     "optIn": "Y",
     "duns": "769847409",
     "websiteUrl": "https://www.merchant.com",  
      "wallets": [
            {
                "walletId": 1,
                "walletAcceptance": "Y",
                "walletMerchantId": "935346356231 | 925346356232 | 925446356233"
            },
            {
                "walletId": 2,
                "walletAcceptance": "Y",
                "walletMerchantId": "935346356231 | 925346356232 | 925446356233"
            },
            {
                "walletId": 3,
                "walletAcceptance": "Y",
                "walletMerchantId": "935346356231 | 925346356232 | 925446356233"
            }
      ],
      "address": {
            "addressLine1": "380 EAST",
            "addressLine2": "SECTOR 1",
            "city": "Canberra",
            "state": "CNB",
            "postalCode": "123456"
       }    
    }   
]
```

#### Response: {#response-11}

Returns `Location` response header which contains relative url to get status of this request.

|  Header  |                                                                         |
|----------|-------------------------------------------------------------------------|
| Location | string Example: merchants/participations?request_id=7223372036854776001 |

